package cn.com.countrygarden.bi.main.model.performance.dto;

import cn.com.countrygarden.bi.main.model.hmWygl.TbHSPRRegionAvatarInfo;
import cn.com.countrygarden.bi.main.model.performance.PerformanceEnv;

import java.util.List;

/**
 * 绩效区域Dto 包含负责人相关信息
 */
public class PerformanceEnvDto extends PerformanceEnv {
    private String imageUrl; //头像url
    private String Names;//负责人姓名
    private List<TbHSPRRegionAvatarInfo> commInfo;

    public PerformanceEnvDto(){ }

    public PerformanceEnvDto(PerformanceEnv env){
        this.setEnvId(env.getEnvId());
        this.setHierarchyName(env.getHierarchyName());
        this.setHierarchyId(env.getHierarchyId());
        this.setScope(env.getScope());
        this.setSquare(env.getSquare());
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getNames() {
        return Names;
    }

    public void setNames(String names) {
        Names = names;
    }

    public List<TbHSPRRegionAvatarInfo> getCommInfo() {
        return commInfo;
    }

    public void setCommInfo(List<TbHSPRRegionAvatarInfo> commInfo) {
        this.commInfo = commInfo;
    }
}
